id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
ID3_MemoryWriter Class Reference

`#include <writers.h>`

Inheritance diagram for ID3_MemoryWriter:

## Public Member Functions
| ID3_MemoryWriter ()
| ID3_MemoryWriter (char_type buf[], size_t size)
virtual | ~ID3_MemoryWriter ()
virtual void | close ()
| Close the writer. More...
virtual void | flush ()
| Flush the writer. More...
virtual size_type | writeChars (const char buf[], size_type len)
| Write up to `len` chars from buf and advance the internal position accordingly. More...
virtual size_type | writeChars (const char_type buf[], size_type len)
| Write up to `len` characters into buf and advance the internal position accordingly. More...
virtual pos_type | getCur ()
| Return the next position that will be written to. More...
virtual pos_type | getBeg ()
| Return the beginning position in the writer. More...
virtual pos_type | getEnd ()
| Return the first position that can't be written to. More...
Public Member Functions inherited from ID3_Writer
virtual size_type | getSize ()
| Return the number of bytes written. More...
virtual size_type | getMaxSize ()
| Return the maximum number of bytes that can be written. More...
virtual int_type | writeChar (char_type ch)
| Write a single character and advance the internal position. More...
virtual bool | atEnd ()

## Protected Member Functions
void | setBuffer (char_type *buf, size_t size)

## Additional Inherited Members
Public Types inherited from ID3_Writer
typedef uint32 | size_type
typedef uint8 | char_type
typedef uint32 | pos_type
typedef int32 | off_type
typedef int16 | int_type
Static Public Attributes inherited from ID3_Writer
static const int_type | END_OF_WRITER = -1

## Detailed Description

Definition at line 135 of file writers.h.

## Constructor & Destructor Documentation

ID3_MemoryWriter::ID3_MemoryWriter | ( |  | ) |
| inline

Definition at line 148 of file writers.h.

ID3_MemoryWriter::ID3_MemoryWriter | ( | char_type | buf[],
|  | size_t | size
| ) |  |
| inline

Definition at line 152 of file writers.h.

virtual ID3_MemoryWriter::~ID3_MemoryWriter | ( |  | ) |
| inline virtual

Definition at line 156 of file writers.h.

## Member Function Documentation

virtual void ID3_MemoryWriter::close | ( |  | ) |
| inline virtual

Close the writer.

Any further actions on the writer should fail.

Implements ID3_Writer.

Definition at line 157 of file writers.h.

virtual void ID3_MemoryWriter::flush | ( |  | ) |
| inline virtual

Flush the writer.

Implements ID3_Writer.

Definition at line 158 of file writers.h.

virtual pos_type ID3_MemoryWriter::getBeg | ( |  | ) |
| inline virtual

Return the beginning position in the writer.

Reimplemented from ID3_Writer.

Definition at line 181 of file writers.h.

virtual pos_type ID3_MemoryWriter::getCur | ( |  | ) |
| inline virtual

Return the next position that will be written to.

Implements ID3_Writer.

Definition at line 176 of file writers.h.

virtual pos_type ID3_MemoryWriter::getEnd | ( |  | ) |
| inline virtual

Return the first position that can't be written to.

A return value of -1 indicates no (reasonable) limit to the writer.

Reimplemented from ID3_Writer.

Definition at line 186 of file writers.h.

void ID3_MemoryWriter::setBuffer | ( | char_type * | buf,
|  | size_t | size
| ) |  |
| inline protected

Definition at line 141 of file writers.h.

virtual size_type ID3_MemoryWriter::writeChars | ( | const char | buf[],
|  | size_type | len
| ) |  |
| inline virtual

Write up to `len` chars from buf and advance the internal position accordingly.

Returns the number of characters written from buf.

Reimplemented from ID3_Writer.

Definition at line 163 of file writers.h.

virtual size_type ID3_MemoryWriter::writeChars | ( | const char_type | buf[],
|  | size_type | len
| ) |  |
| inline virtual

Write up to `len` characters into buf and advance the internal position accordingly.

Returns the number of characters write into buf. Note that the value returned may be less than the number of bytes that the internal position advances, due to multi-byte characters.

Implements ID3_Writer.

Definition at line 167 of file writers.h.

The documentation for this class was generated from the following file:

- include/id3/writers.h